{-----------------------------------------------------------------------------
                          ---> Project DelphiWorks <---
                                   Version 1.3
 -----------------------------------------------------------------------------
 Unit:        dwForms.pas
 Description: Form helpers
 Author:      Codehunter Works
 Release:     1.3
 State:       Stable
 Date:        16.08.2004
 Created:     14.12.2002
 Last mod.:   16.08.2004
 History:     n/a
-----------------------------------------------------------------------------}


unit dwForms;

interface

uses Windows;

procedure dwDisableCaptionCloseButton(const FormHandle: THandle);
procedure dwEnableCaptionCloseButton(const FormHandle: THandle);

implementation

procedure dwDisableCaptionCloseButton(const FormHandle: THandle);
var
   hMnu: THandle;
begin
   hMnu:= GetSystemMenu(FormHandle, FALSE);
   EnableMenuItem(hMnu, SC_CLOSE, SC_CLOSE or MF_GRAYED);
end;

procedure dwEnableCaptionCloseButton(const FormHandle: THandle);
var
   hMnu: THandle;
begin
   hMnu:= GetSystemMenu(FormHandle, FALSE);
   EnableMenuItem(hMnu, SC_CLOSE, SC_CLOSE or MF_ENABLED);
end;


end.
