{-----------------------------------------------------------------------------
                          ---> Project DelphiWorks <---
                                   Version 1.3
 -----------------------------------------------------------------------------
 Unit:        dwExceptions.pas
 Description: DelphiWorks internal exception system
 Author:      Codehunter Works
 Release:     1.3
 State:       Stable
 Date:        16.08.2004
 Created:     15.12.2002
 Last mod.:   16.08.2004
 History:     n/a
-----------------------------------------------------------------------------}

unit dwExceptions;

interface

uses dwConsts, dwTypes,
     SysUtils;

type
   EDelphiWorksException = class(Exception);

procedure dweRaise(ExceptionType: TDWException);

implementation

procedure dweRaise(ExceptionType: TDWException);
var
   Msg: String;
begin
   case ExceptionType of
   dwexcptGeneric:      Msg:= DW_EXCEPT_MSG_GENERIC;
   dwexcptStringList:   Msg:= DW_EXCEPT_MSG_SLISNIL;
   end;

   Raise(EDelphiWorksException.Create(Msg));
end;

end.
 