{-----------------------------------------------------------------------------
                          ---> Project DelphiWorks <---
                                   Version 1.3
 -----------------------------------------------------------------------------
 Unit:        dwFonts.pas
 Description: Functions for font resources
 Author:      Codehunter Works
 Release:     1.3
 State:       Stable
 Date:        16.08.2004
 Created:     15.12.2002
 Last mod.:   16.08.2004
 History:     n/a
-----------------------------------------------------------------------------}

unit dwFonts;

interface

function dwFontAdd(const FontFilename: String): Boolean;
function dwFontRemove(const FontFilename: String): Boolean;

implementation

uses Messages, SysUtils, Windows;

function dwFontAdd(const FontFilename: String): Boolean;
begin
  result:= (AddFontResource(PChar(ExtractFilePath(ParamStr(0) + FontFilename)))<>0);
  SendMessage(HWND_BROADCAST, WM_FONTCHANGE, 0, 0);
end;

function dwFontRemove(const FontFilename: String): Boolean;
begin
  result:= RemoveFontResource(PChar(ExtractFilePath(ParamStr(0) + FontFilename)));
  SendMessage(HWND_BROADCAST, WM_FONTCHANGE, 0, 0);
end;

end.
 