{-----------------------------------------------------------------------------
                          ---> Project DelphiWorks <---
                                   Version 1.3
 -----------------------------------------------------------------------------
 Unit:        dwHMTL.pas
 Description: Functions for HyperText markup language
 Author:      Codehunter Works
 Release:     1.3
 State:       Stable
 Date:        16.08.2004
 Created:     15.12.2002
 Last mod.:   16.08.2004
 History:     n/a
-----------------------------------------------------------------------------}

unit dwHTML;

interface

function dwCharToHTML(Chr: Char): string;
function dwStringToHTML(Str: String): String;

implementation

uses dwConsts;

function dwCharToHTML(Chr: Char): string;
var i: integer;
begin
  Result := Chr;
  for i := 0 to High(htTEXT) do
    if htTEXT[i] = Chr then begin
    	Result := htHTML[i];
      exit;
    end;
end;

function dwStringToHTML(Str: String): String;
var
   I: Integer;
   Chr: Char;
   ReplStr, tmpStr: String;
begin
   tmpStr:= '';
   for I:= 1 to Length(Str) do begin
      Chr:= Str[I];
      ReplStr:= dwCharToHTML(Chr);
      tmpStr:= tmpStr + ReplStr;
   end;
   result:= tmpStr;
end;


end.
 