{-----------------------------------------------------------------------------
                          ---> Project DelphiWorks <---
                                   Version 1.3
 -----------------------------------------------------------------------------
 Unit:        dwLanguage.pas
 Description: Display strings for DW multi language user interface
 Author:      Codehunter Works
 Release:     1.3
 State:       Stable
 Date:        16.08.2004
 Created:     14.12.2002
 Last mod.:   16.08.2004
 History:     n/a
-----------------------------------------------------------------------------}
unit dwLanguage;

interface

{$DEFINE DW_LANGUAGE_GERMAN}

const
   Dummy = 						0;
   
{$IFDEF DW_LANGUAGE_GERMAN}
	DWLNG_BitDepth0 = 'Farben';
   DWLNG_BitDepth1 =	'High Color';
   DWLNG_BitDepth2 = 'True Color';
   DWLNG_BitDepth3 = 'Bit';
   DWLNG_BitDepth4 = 'Hertz';
   DWLNG_BitDepth5 = 'Standardwiederholrate';
   DWLNG_BitDepth6 = 'x';
   DWLNG_BitDepth7 = '';

   DWLNG_OSName1   = 'Microsoft Windows .NET Server';
   DWLNG_OSName2   = 'Microsoft Windows 95';
   DWLNG_OSName3   = 'Microsoft Windows 95';
   DWLNG_OSName4   = 'Microsoft Windows 95 OSR2';
   DWLNG_OSName5   = 'Microsoft Windows 95 OSR2';
   DWLNG_OSName6   = 'Microsoft Windows 95 OSR2';
   DWLNG_OSName7   = 'Microsoft Windows 98';
   DWLNG_OSName8   = 'Microsoft Windows 98 Zweite Ausgabe';
   DWLNG_OSName9   = 'Microsoft Windows Millenium Edition';
   DWLNG_OSName10  = 'Microsoft Windows Millenium Edition Beta';
   DWLNG_OSName11  = 'Microsoft Windows NT 3.51';
   DWLNG_OSName12  = 'Microsoft Windows NT 4.0 Domain Controller';
   DWLNG_OSName13  = 'Microsoft Windows NT 4.0 Server';
   DWLNG_OSName14  = 'Microsoft Windows NT 4.0 Workstation';
   DWLNG_OSName15  = 'Microsoft Windows 2000 Professional';
   DWLNG_OSName16  = 'Microsoft Windows 2000 Advanced Server';
   DWLNG_OSName17  = 'Microsoft Windows 2000 Datadenter Server';
   DWLNG_OSName18  = 'Microsoft Windows XP Home';
   DWLNG_OSName19  = 'Microsoft Windows XP Professional';
   DWLNG_OSName20  = 'Microsoft Windows Server 2003';
   DWLNG_OSName21  = 'Microsoft Windows Server 2003 Datacenter Edition';
   DWLNG_OSName22  = 'Microsoft Windows Server 2003 Enterprise Edition';
   DWLNG_OSName23  = 'Microsoft Windows Server 2003 Security Appliance';
   DWLNG_OSName24  = 'Microsoft Windows Server 2003 Web Edition';
   DWLNG_OSName25  = 'MS OS unknown';

   DWLNG_IENAME1   = 'Internet Explorer 1.0 (Plus!)';
   DWLNG_IENAME2   = 'Internet Explorer 2.0 (NT4)';
   DWLNG_IENAME3   = 'Internet Explorer 3.0';
   DWLNG_IENAME4   = 'Internet Explorer 3.0 (OSR2)';
   DWLNG_IENAME5   = 'Internet Explorer 3.01';
   DWLNG_IENAME6   = 'Internet Explorer 3.02 und 3.02a';
   DWLNG_IENAME7   = 'Internet Explorer 4.0 Platform Preview 2.0 (PP2)';
   DWLNG_IENAME8   = 'Internet Explorer 4.0';
   DWLNG_IENAME9   = 'Internet Explorer 4.01';
   DWLNG_IENAME10  = 'Internet Explorer 4.01 Service Pack 1';
   DWLNG_IENAME11  = 'Internet Explorer 4.01 Service Pack 2';
   DWLNG_IENAME12  = 'Internet Explorer 4.x mit Update fr "Server-side Page Reference Redirect" Problem';
   DWLNG_IENAME13  = 'Internet Explorer 5 Developer Preview (Beta 1)';
   DWLNG_IENAME14  = 'Internet Explorer 5 Beta (Beta 2)';
   DWLNG_IENAME15  = 'Internet Explorer 5';
   DWLNG_IENAME16  = 'Internet Explorer 5 (Office 2000)';
   DWLNG_IENAME17  = 'Internet Explorer 5.01 (Windows 2000 Beta 3, build 5.00.2091)';
   DWLNG_IENAME18  = 'Internet Explorer 5 (Windows 98 Second Edition)';
   DWLNG_IENAME19  = 'Internet Explorer 5 mit Update fr "Malformed Favorites Icon" Sicherheitsproblem';
   DWLNG_IENAME20  = 'Internet Explorer 5 mit Update fr "ImportExport Favorites()" Sicherheitsproblem';
   DWLNG_IENAME21  = 'Internet Explorer 5.0 mit Update fr "Server-side Page Reference Redirect" Problem';
   DWLNG_IENAME22  = 'Internet Explorer 5.01 (Windows 2000 RC1, build 5.00.2072)';
   DWLNG_IENAME23  = 'Internet Explorer 5.01 (Windows 2000 RC2, build 5.00.2128)';
   DWLNG_IENAME24  = 'Internet Explorer 5.01';
   DWLNG_IENAME25  = 'Internet Explorer 5.01 mit Update fr "Server-side Page Reference Redirect" Problem';
   DWLNG_IENAME26  = 'Internet Explorer 5.01 (Windows 2000 build 5.00.2195)';
   DWLNG_IENAME27  = 'Internet Explorer 5.01 SP1 (Windows 2000)';
   DWLNG_IENAME28  = 'Internet Explorer 5.01 SP1 (Windows 95/98 und Windows NT 4.0)';
   DWLNG_IENAME29  = 'Internet Explorer 5.5 Developer Preview (Beta)';
   DWLNG_IENAME30  = 'Internet Explorer 5.5 & Internet Tools Beta';
   DWLNG_IENAME31  = 'Internet Explorer 5.5 (Windows Millenium Edition build 4.90.3000)';
   DWLNG_IENAME32  = 'Internet Explorer 5.5';
   DWLNG_IENAME33  = 'Internet Explorer 5.5 Advanced Security Privacy Beta';
   DWLNG_IENAME34  = 'Internet Explorer 5.5 Service Pack 1';
   DWLNG_IENAME35  = 'Internet Explorer 5.5 Service Pack 2';
   DWLNG_IENAME36  = 'Internet Explorer 6 Public Preview (Beta)';
   DWLNG_IENAME37  = 'Internet Explorer 6 Public Preview (Beta) Refresh';
   DWLNG_IENAME38  = 'Internet Explorer 6 (Windows XP)';
   DWLNG_IENAME39  = 'Internet Explorer 6 Service Pack 1 (Windows XP SP1)';

{$ENDIF}

{}

{$IFDEF DW_LANGUAGE_ENGLISH}
	DWLNG_BitDepth0 = 'Colors';
   DWLNG_BitDepth1 =	'High Color';
   DWLNG_BitDepth2 = 'True Color';
   DWLNG_BitDepth3 = 'bit';
   DWLNG_BitDepth4 = 'hz';
   DWLNG_BitDepth5 = 'Adapter default refresh rate';
   DWLNG_BitDepth6 = 'by';
   DWLNG_BitDepth7 = ' pixels';

   DWLNG_OSName1   = 'Microsoft Windows .NET Server';
   DWLNG_OSName2   = 'Microsoft Windows 95';
   DWLNG_OSName3   = 'Microsoft Windows 95';
   DWLNG_OSName4   = 'Microsoft Windows 95 OSR2';
   DWLNG_OSName5   = 'Microsoft Windows 95 OSR2';
   DWLNG_OSName6   = 'Microsoft Windows 95 OSR2';
   DWLNG_OSName7   = 'Microsoft Windows 98';
   DWLNG_OSName8   = 'Microsoft Windows 98 Second Edition';
   DWLNG_OSName9   = 'Microsoft Windows Millenium Edition';
   DWLNG_OSName10  = 'Microsoft Windows Millenium Edition Beta';
   DWLNG_OSName11  = 'Microsoft Windows NT 3.51';
   DWLNG_OSName12  = 'Microsoft Windows NT 4.0 Domain Controller';
   DWLNG_OSName13  = 'Microsoft Windows NT 4.0 Server';
   DWLNG_OSName14  = 'Microsoft Windows NT 4.0 Workstation';
   DWLNG_OSName15  = 'Microsoft Windows 2000 Professional';
   DWLNG_OSName16  = 'Microsoft Windows 2000 Advanced Server';
   DWLNG_OSName17  = 'Microsoft Windows 2000 Datadenter Server';
   DWLNG_OSName18  = 'Microsoft Windows XP Home';
   DWLNG_OSName19  = 'Microsoft Windows XP Professional';
   DWLNG_OSName20  = 'Microsoft Windows Server 2003';
   DWLNG_OSName21  = 'Microsoft Windows Server 2003 Datacenter Edition';
   DWLNG_OSName22  = 'Microsoft Windows Server 2003 Enterprise Edition';
   DWLNG_OSName23  = 'Microsoft Windows Server 2003 Security Appliance';
   DWLNG_OSName24  = 'Microsoft Windows Server 2003 Web Edition';
   DWLNG_OSName25  = 'MS OS unknown';

   DWLNG_IENAME1   = 'Internet Explorer 1.0 (Plus!)';
   DWLNG_IENAME2   = 'Internet Explorer 2.0 (NT4)';
   DWLNG_IENAME3   = 'Internet Explorer 3.0';
   DWLNG_IENAME4   = 'Internet Explorer 3.0 (OSR2)';
   DWLNG_IENAME5   = 'Internet Explorer 3.01';
   DWLNG_IENAME6   = 'Internet Explorer 3.02 und 3.02a';
   DWLNG_IENAME7   = 'Internet Explorer 4.0 Platform Preview 2.0 (PP2)';
   DWLNG_IENAME8   = 'Internet Explorer 4.0';
   DWLNG_IENAME9   = 'Internet Explorer 4.01';
   DWLNG_IENAME10  = 'Internet Explorer 4.01 Service Pack 1';
   DWLNG_IENAME11  = 'Internet Explorer 4.01 Service Pack 2';
   DWLNG_IENAME12  = 'Internet Explorer 4.x with Update for "Server-side Page Reference Redirect" Issue';
   DWLNG_IENAME13  = 'Internet Explorer 5 Developer Preview (Beta 1)';
   DWLNG_IENAME14  = 'Internet Explorer 5 Beta (Beta 2)';
   DWLNG_IENAME15  = 'Internet Explorer 5';
   DWLNG_IENAME16  = 'Internet Explorer 5 (Office 2000)';
   DWLNG_IENAME17  = 'Internet Explorer 5.01 (Windows 2000 Beta 3, build 5.00.2091)';
   DWLNG_IENAME18  = 'Internet Explorer 5 (Windows 98 Second Edition)';
   DWLNG_IENAME19  = 'Internet Explorer 5 with Update for "Malformed Favorites Icon" Security Issue';
   DWLNG_IENAME20  = 'Internet Explorer 5 with Update for "ImportExport Favorites()" Security Issue';
   DWLNG_IENAME21  = 'Internet Explorer 5.0 with Update for "Server-side Page Reference Redirect" Issue';
   DWLNG_IENAME22  = 'Internet Explorer 5.01 (Windows 2000 RC1, build 5.00.2072)';
   DWLNG_IENAME23  = 'Internet Explorer 5.01 (Windows 2000 RC2, build 5.00.2128)';
   DWLNG_IENAME24  = 'Internet Explorer 5.01';
   DWLNG_IENAME25  = 'Internet Explorer 5.01 with Update for "Server-side Page Reference Redirect" Issue';
   DWLNG_IENAME26  = 'Internet Explorer 5.01 (Windows 2000 build 5.00.2195)';
   DWLNG_IENAME27  = 'Internet Explorer 5.01 SP1 (Windows 2000)';
   DWLNG_IENAME28  = 'Internet Explorer 5.01 SP1 (Windows 95/98 and Windows NT 4.0)';
   DWLNG_IENAME29  = 'Internet Explorer 5.5 Developer Preview (Beta)';
   DWLNG_IENAME30  = 'Internet Explorer 5.5 & Internet Tools Beta';
   DWLNG_IENAME31  = 'Internet Explorer 5.5 (Windows Millenium Edition build 4.90.3000)';
   DWLNG_IENAME32  = 'Internet Explorer 5.5';
   DWLNG_IENAME33  = 'Internet Explorer 5.5 Advanced Security Privacy Beta';
   DWLNG_IENAME34  = 'Internet Explorer 5.5 Service Pack 1';
   DWLNG_IENAME35  = 'Internet Explorer 5.5 Service Pack 2';
   DWLNG_IENAME36  = 'Internet Explorer 6 Public Preview (Beta)';
   DWLNG_IENAME37  = 'Internet Explorer 6 Public Preview (Beta) Refresh';
   DWLNG_IENAME38  = 'Internet Explorer 6 (Windows XP)';
   DWLNG_IENAME39  = 'Internet Explorer 6 Service Pack 1 (Windows XP SP1)';

{$ENDIF}

implementation

end.
