{-----------------------------------------------------------------------------
                          ---> Project DelphiWorks <---
                                   Version 1.3
 -----------------------------------------------------------------------------
 Unit:        dwMouse.pas
 Description: Mouse helpers
 Author:      Codehunter Works
 Release:     1.3
 State:       Stable
 Date:        16.08.2004
 Created:     14.12.2002
 Last mod.:   16.08.2004
 History:     n/a
-----------------------------------------------------------------------------}


unit dwMouse;

interface

function dwGetMouseButtons: Integer;
function dwMouseButtonsSwaped: Boolean;
function dwMouseHasWheel: Boolean;
function dwMouseIsPresent: Boolean;

procedure dwEmptyMouseQueue;

implementation

uses Messages, MultiMon, Windows;

function dwGetMouseButtons: Integer;
begin
   result:= GetSystemMetrics(SM_CMOUSEBUTTONS);
end;

function dwMouseHasWheel: Boolean;
begin
   result:= (GetSystemMetrics(SM_MOUSEWHEELPRESENT)<>0);
end;

function dwMouseButtonsSwaped: Boolean;
begin
   result:= GetSystemMetrics(SM_SWAPBUTTON)<>0;
end;

function dwMouseIsPresent: Boolean;
begin
  result:= (GetSystemMetrics(SM_MOUSEPRESENT)<>0);
end;

{-----------------------------------------------------------------------------
 Procedures
-----------------------------------------------------------------------------}
procedure dwEmptyMouseQueue;
var
  Msg: TMsg;
begin
  while PeekMessage(Msg, 0, WM_MOUSEFIRST, WM_MOUSELAST,
    PM_REMOVE or PM_NOYIELD) do;
end;

end.
 